#include <bits/stdc++.h>
using namespace std;

int broj(int b)
{
	int brojac=0;
		if(b>=5)
			{
				brojac=brojac+b/5;
				b=b%5;
			}
		if(b>=2)
			{
				brojac=brojac+b/2;
				b=b%2;
			}
		if(b%2!=0)
			brojac=brojac+1;
	return brojac;
}

int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);	
long long V;
std::cin>>V;
int m=0;
while(V>0)
{
	int ost=V%10;
	if(ost>0)
	{
		m=m+broj(ost);
		V=V/10;
	}
	else
		V=V/10;	
}
std::cout<<m;		
}